---
title: '::backdrop'
slug: 'Web/CSS/::backdrop'
tags:
  - API
  - CSS
  - Dialog
  - Full-screen
  - Fullscreen API
  - HTML DOM
  - Layout
  - Pseudo-element
  - Reference
  - Selector
  - fullscreen
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>::backdrop</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> is a box the size of the {{Glossary("viewport")}} which is rendered immediately beneath any element being presented in full-screen mode. </span>This includes both elements which have been placed in full-screen mode using the <a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a> and {{HTMLElement("dialog")}} elements.</p>

<p>When multiple elements have been placed into full-screen mode, the backdrop is drawn immediately beneath the frontmost such element, and on top of the older full-screen elements.</p>

<pre class="brush: css no-line-numbers notranslate">/* Backdrop is only displayed when dialog is opened with dialog.showModal() */
dialog::backdrop {
  background: rgba(255,0,0,.25);
}</pre>

<p>All full-screen elements are placed in a last-in/first out (LIFO) stack in the top layer, which is a special layer in the viewport which is always rendered last (and therefore on top) before drawing the viewport's contents to the screen. The <code>::backdrop</code> pseudo-element makes it possible to obscure, style, or completely hide everything located below the element when it's the topmost one in the top layer.</p>

<p><code>::backdrop</code> neither inherits from nor is inherited by any other elements. No restrictions are made on what properties apply to this pseudo-element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Styling_the_backdrop_for_full-screen_video">Styling the backdrop for full-screen video</h3>

<p>In this example, the backdrop style used when a video is shifted to full-screen mode is configured to be a grey-blue color rather than the black it defaults to in most browsers.</p>

<pre class="brush: css notranslate">video::backdrop {
  background-color: #448;
}
</pre>

<p>The resulting screen looks like this:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16287/bbb-backdrop.png" style="height: 282px; width: 500px;"></p>

<p><a href="https://mdn.github.io/css-examples/backdrop/index.html">See this example in action</a>, after changing the color of the background cause the video to go fullscreen to see the change to the backdrop color.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('Fullscreen', '#::backdrop-pseudo-element', '::backdrop')}}</td>
			<td>{{Spec2('Fullscreen')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.backdrop")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref(":fullscreen")}} pseudo-class</li>
	<li>{{HTMLElement("dialog")}} HTML element</li>
	<li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
</ul>
